
 LinHES - Bug # 822: mythdb not being updated with new lircd location

Status: Closed Priority: High
Author: christian Category:
Created: 03/25/2012 Assignee:
Updated: 04/12/2012 Due date:
Description: This was apparently fixed in Issue #745 but a number of people are having problems on upgrade where this 

db entry is not being updated during upgrade. See also 
http://forum.linhes.org/search.php?keywords=%2Fvar%2Frun%2Flirc%2Flircd

I also ran into this with a recent upgrade on one of my systems which in 6.03 was using the default lircd paths 
and it did not change during the upgrade. All of my other frontends has already had the new path because for 
other reasons I was beyond lirc-0.8.6 on those systems.

Associated revisions
04/12/2012 05:09 pm - brfransen
LinHES-system: firstboot.sh: add fix_lirc_socket; closes #822

History
03/25/2012 06:34 pm - brfransen
This db update is handled when lirc is installed/updated: http://cgit.linhes.org/linhes_pkgbuild/tree/abs/core/lirc/lirc.install  So upgrades from 6.0x via 
pacman or the upgrade script would work and the db would be updated with the correct lirc socket.  The issue comes with upgrades from 6.0x to R7.x 
via the CD.  With the CD the user's backup would be restored after lirc was installed so the lirc.install would not be run to update the lirc socket.

03/27/2012 06:52 am - christian
nice find brfransen!

04/12/2012 05:35 pm - brfransen
- % Done changed from 0 to 100

- Status changed from New to Closed

Applied in changeset commit:fadd791ceddc196e958e9a108f26532a0a2d1170.
